> For the complete documentation index, see [llms.txt](https://docs.satori.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.satori.finance/api-docs/openapi/rest-api/private-query/trade-query-match-result.md).

# \[Trade] Query match result

**method url**:`/api/third/order/selectContractMatchPairList`

**request type**:`POST`

**content type**：application/x-www-form-urlencoded

**need sign:**`true`

**detail**:

**request param**:

| param\_name | param note                                                                                                    | type  | required | data type      | schema |
| ----------- | ------------------------------------------------------------------------------------------------------------- | ----- | -------- | -------------- | ------ |
| pairName    |                                                                                                               | query | true     | string         |        |
| pageNo      |                                                                                                               | query | false    | integer(int64) |        |
| pageSize    |                                                                                                               | query | false    | integer(int64) |        |
| timestamp   |                                                                                                               | query | true     | string         |        |
| matchId     | Transaction ID (only orders prior to this matchId are returned, the most recent order is returned by default) | query | false    | Long           |        |

**response param**:(list)

| param\_name           | param note                   | type              | schema |
| --------------------- | ---------------------------- | ----------------- | ------ |
|   amount              |                              | number            |        |
|   averagePrice        |                              | number            |        |
|   contractPairId      |                              | integer(int64)    |        |
|   contractPositionId  |                              | integer(int64)    |        |
|   createTime          | yyyy-MM-dd HH:mm:ss          | string            |        |
|   createTimeStamp     |                              | integer(int64)    |        |
|   entrustId           |                              | integer(int64)    |        |
|   id                  |                              | integer(int64)    |        |
|   isClose             | true/false                   | boolean           |        |
|   isLong              | true/false                   | boolean           |        |
|   isMarket            | true/false                   | boolean           |        |
|   isTaker             | true \_taker; false \_maker; | boolean           |        |
|   lever               |                              | integer(int32)    |        |
|   positionFee         |                              | number            |        |
|   profitLoss          |                              | number            |        |
|   quantity            |                              | number            |        |
|   symbol              |                              | string            |        |
|   tradeFee            |                              | number            |        |
|   accountCoinSymbol   |                              | string            |        |
| accountSettleDecimal  |                              | integer(int32)    |        |
|   isDelivery          |                              | boolean           |        |
|   deliveryTime        |                              | string(date-time) |        |
|     deliveryTimeStamp |                              | integer(int64)    |        |
|   address             |                              | string            |        |
|   openingPrice        |                              | number            |        |

**example**:

> 1 Set request parameters, query params:

```
matchId:19864367
pageNo:1
pageSize:2
pairName:ETH-USD
timestamp:1725868174532
```

> 2 Build the Parameters

```
matchId=19864367&pageNo=1&pageSize=2&pairName=ETH-USD&timestamp=1725868174532
```

> 3 Sign the parameter string format, result:

```
0x438e6ca43d3dd371f5c7dde98d967bb9d7949f82d19496513e085d7e3b55d26f75d7269ae7ece951fd9672b2a8b70ec298ab155f63e364c951d2c6a58bd5be7f1b
```

> 4 Assemble the complete request

```
curl --location --request POST 'https://zk-test.satori.finance/api/third/order/selectContractMatchPairList?matchId=19864367&pageNo=1&pageSize=2&pairName=ETH-USD&timestamp=1725868174532' \
--header 'APIKEY: st_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7' \
--header 'X-SAPI-SIGN-TYPE: 2' \
--header 'signature: 0x438e6ca43d3dd371f5c7dde98d967bb9d7949f82d19496513e085d7e3b55d26f75d7269ae7ece951fd9672b2a8b70ec298ab155f63e364c951d2c6a58bd5be7f1b' \
--header 'Content-Type: text/plain' \
--data ''
```

> 5 Return results

```
{
    "error": false,
    "code": 200,
    "msg": "SUCCESS",
    "data": [
        {
            "id": 19862817,
            "entrustId": 180577696,
            "contractPositionId": 0,
            "contractPairId": 1,
            "createTime": "2024-09-09 07:08:26",
            "createTimeStamp": 1725865706000,
            "symbol": "ETH-USD",
            "accountCoinSymbol": null,
            "accountSettleDecimal": null,
            "lever": null,
            "isMarket": true,
            "isClose": false,
            "isLong": true,
            "isTaker": true,
            "averagePrice": "2315.09",
            "quantity": "0.02",
            "amount": "46.3018",
            "tradeFee": "0.027781",
            "positionFee": null,
            "profitLoss": "0",
            "isDelivery": null,
            "deliveryTime": null,
            "deliveryTimeStamp": null,
            "address": null,
            "openingPrice": null,
            "type": null,
            "restrictPrice": null
        },
        {
            "id": 19696541,
            "entrustId": 178785303,
            "contractPositionId": 0,
            "contractPairId": 1,
            "createTime": "2024-09-07 08:06:34",
            "createTimeStamp": 1725696394000,
            "symbol": "ETH-USD",
            "accountCoinSymbol": null,
            "accountSettleDecimal": null,
            "lever": null,
            "isMarket": true,
            "isClose": false,
            "isLong": true,
            "isTaker": true,
            "averagePrice": "2296.13",
            "quantity": "0.02",
            "amount": "45.9226",
            "tradeFee": "0.027553",
            "positionFee": null,
            "profitLoss": "0",
            "isDelivery": null,
            "deliveryTime": null,
            "deliveryTimeStamp": null,
            "address": null,
            "openingPrice": null,
            "type": null,
            "restrictPrice": null
        }
    ],
    "sid": "1809703947882209281"
}
```

**Error Code**:

| code | msg                        |
| ---- | -------------------------- |
| 2001 | Illegal parameter:{param0} |
